%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d
%define staticname %mklibname %{name} -d -s

Name:           irrlicht
Version:        1.8.4
Release:        %mkrel 1
Summary:        The Irrlicht Engine SDK
Group:          Graphics/3D
License:        zlib
URL:            http://irrlicht.sourceforge.net
Source0:        http://downloads.sf.net/irrlicht/%{name}-%{version}.zip
Patch1:         irrlicht-1.8-library-makefile.patch
Patch2:         irrlicht-1.8-use-system-libs.patch
Patch3:         irrlicht-1.8.1-mga-system-glext.patch
Patch4:         irrlicht-1.8.1-fdr-mesa10.patch

BuildRequires:  bzip2-devel
BuildRequires:  imagemagick
BuildRequires:  jpeg-devel
# FIXME: Unbundle lzmadec once our system version is updated
#BuildRequires:  lzmadec-devel
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xxf86vm)
BuildRequires:  pkgconfig(zlib)

%description
The Irrlicht Engine is an open source high performance realtime
3D engine written and usable in C++ and also available for .NET
languages. It is completely cross-platform, using D3D, OpenGL
and its own software renderer, and has all of the state-of-the-art
features which can be found in commercial 3D engines.

We've got a huge active community, and there are lots of projects
in development that use the engine. You can find enhancements for
Irrlicht all over the web, like alternative terrain renderers,
portal renderers, exporters, world layers, tutorials, editors,
language bindings for java, perl, ruby, basic, python, lua, and so
on. And best of all: It's completely free.

%package -n %{libname}
Summary:        Shared libraries for Irrlicht 3D engine
Group:          System/Libraries

%description -n %{libname}
Shared libraries for Irrlicht 3D engine.

%package -n %{devname}
Summary:        Development files for Irrlicht 3D engine
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for Irrlicht 3D engine.

%prep
%setup -q
%autopatch -p1

# make readme.txt and changes.txt utf8 with LF line endings
sed -i 's/\r//' readme.txt changes.txt
iconv -o readme.txt.utf8 -f iso88591 -t utf8 readme.txt
mv readme.txt.utf8 readme.txt

# use system wide libs, see patch2
rm -rf source/Irrlicht/{bzip2,jpeglib,libpng,zlib}

# https://bugzilla.redhat.com/show_bug.cgi?id=1035757
sed -i -e '/_IRR_MATERIAL_MAX_TEXTURES_/s/4/8/' include/IrrCompileConfig.h

%build
%setup_compile_flags
%make_build -C source/Irrlicht sharedlib NDEBUG=1

%install
# FIXME: Fix bogus upstream Makefile and make a PR
mkdir -p %{buildroot}%{_libdir}
%make_install -C source/Irrlicht INSTALL_DIR=%{buildroot}%{_libdir}
ln -s libIrrlicht.so.%{version} %{buildroot}%{_libdir}/libIrrlicht.so.%{major}

mkdir -p %{buildroot}%{_includedir}/%{name}
cp -a include/*.h %{buildroot}%{_includedir}/%{name}/

%files -n %{libname}
%{_libdir}/libIrrlicht.so.%{major}
%{_libdir}/libIrrlicht.so.%{major}.*

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/libIrrlicht.so


%changelog
* Fri Aug 26 2016 akien <akien> 1.8.4-1.mga6
+ Revision: 1049176
- Bugfix version 1.8.4

* Thu Feb 11 2016 umeabot <umeabot> 1.8.3-2.mga6
+ Revision: 954622
- Mageia 6 Mass Rebuild

* Sun Sep 20 2015 akien <akien> 1.8.3-1.mga6
+ Revision: 881899
- Version 1.8.3
- Drop static lib, tools, examples, media and doc

* Sat Aug 22 2015 akien <akien> 1.8.1-6.mga6
+ Revision: 868070
- Rebuild for gcc 5.2.1

* Wed Oct 15 2014 umeabot <umeabot> 1.8.1-5.mga5
+ Revision: 744422
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.1-4.mga5
+ Revision: 680568
- Mageia 5 Mass Rebuild

* Thu Dec 19 2013 dams <dams> 1.8.1-3.mga4
+ Revision: 558718
- new tarball from upstream to fix Makefile
- clean specfile
- use new file for icon to prevent ugly rendering

* Tue Dec 17 2013 akien <akien> 1.8.1-2.mga4
+ Revision: 558320
- Add patch to use system-wide glext.h and glxext.h
- Add patch from Fedora to fix the build with mesa 10.0

* Thu Nov 28 2013 dams <dams> 1.8.1-1.mga4
+ Revision: 553834
- new version 1.8.1

* Mon Oct 21 2013 umeabot <umeabot> 1.8-2.mga4
+ Revision: 539741
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 dams <dams> 1.8-1.mga4
+ Revision: 492844
- drop unused requires
- new version 1.8 (it was a SVN snapshot before)
- rediff patches (with the help of Akien)
- clean specfile

* Mon Jun 03 2013 fwang <fwang> 1.8-0.svn4094.7.mga4
+ Revision: 435592
- drop unused requires

* Sun Jun 02 2013 fwang <fwang> 1.8-0.svn4094.6.mga4
+ Revision: 434872
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 1.8-0.svn4094.5.mga3
+ Revision: 354498
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 barjac <barjac> 1.8-0.svn4094.4.mga3
+ Revision: 339631
- update desktop files

* Sat Jan 05 2013 barjac <barjac> 1.8-0.svn4094.3.mga3
+ Revision: 339475
- updated 2 more sub-package groups
- update doc group
- make doc sub-package noarch
- update group
- fix some rpmlint warnings

* Tue Apr 03 2012 luigiwalser <luigiwalser> 1.8-0.svn4094.2.mga2
+ Revision: 228080
- add patch0 for potential buffer overflow (similar to CVE-2011-4620)

* Mon Mar 05 2012 dams <dams> 1.8-0.svn4094.1.mga2
+ Revision: 218620
- new version 1.8 (svn snapshot 4094)
- rediff patchs
- clean and reorganize spec file

* Mon Sep 12 2011 fwang <fwang> 1.7.2-2.mga2
+ Revision: 142584
- more libpng1.5 patch
- cleanup br
- add gentoo patch to build with libpng 1.5
- rebuild for new libpng

* Wed Apr 20 2011 dams <dams> 1.7.2-1.mga1
+ Revision: 89105
- Clean and update patchs
- Disable patch #1
- Disable patch #1
- Update to 1.7.2

* Fri Mar 25 2011 dams <dams> 1.6.1-1.mga1
+ Revision: 77378
- Import and clean
- imported package irrlicht

